Subject: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: Bengt Richter <[email-masked]>
Date: Wed, 8 Apr 2020 23:11:04 +0200

Hi Ludo,

On +2020-04-08 11:42:41 +0200, Ludovic Courtès wrote:
> Hi Bengt,
> 
> Bengt Richter <[email-masked]> skribis:
> 
> > I'm really against pursuing any new design dependencies on X,
> > so even "or similar" sounds iffy to me. Just IMO ;-)
> 
> The XKB database and associated tools is the de facto standard for
> handling keyboard layouts; it does a great job!  It originated in X11
> but that’s about the only relation it has with X11.
>
I'm more than ok with declarative data representing a legacy of valuable info.
I didn't mean to deprecate that part, sorry.

> Anyway, please let’s try to keep issues at Debbugs and development
> discussions focused otherwise it’s easy to all get lost in open-ended
> discussions while making very little actual progress.  :-)
>
Understood.
Sincere apologies for disrupting and/or distracting.

I understand the problem.
(After all, I'm doing it to myself:
 It takes me much longer to write than it does to read ;-p )

So, off-topic replies being a problem. naturally I am triggered
to think about this problem, and I am tempted
to post ideas about automatically diverting off-topic reply posts to
[email-masked] and and automatically only posting references thereto
to recipients who would otherwise get the whole thing.

But beyond the above, I will restrain myself ;-)

Sorry about this off-original-topic post.
I guess it is like social distancing to avoid infecting people with distractions ;-/
I will try to practice better hygiene :)

-- 
Regards,
Bengt Richter